# List all conversation attributes

You can fetch a list of all conversation attributes for your workspace.

Endpoint: GET /conversations/attributes
Version: 2.17
Security: bearerAuth

## Query parameters:

  - `include_archived` (boolean)
    Include archived attributes in the list. Default `false`.

## Header parameters:

  - `Intercom-Version` (string)

## Response 200 fields (application/json):

  - `type` (string)
    The type of the object.
    Enum: "list"

  - `data` (array)
    A list of conversation attributes.

  - `data.type` (string)
    Value is `conversation_attribute`.
    Enum: "conversation_attribute"

  - `data.id` (integer)
    The unique identifier for the conversation attribute.
    Example: 8

  - `data.name` (string)
    Name of the attribute.
    Example: api_test_attr

  - `data.description` (string)
    Readable description of the attribute.
    Example: Created via API test

  - `data.data_type` (string)
    Enum: "string"

  - `data.required` (boolean)
    Whether this attribute is required.
    Example: false

  - `data.visible_to_team_ids` (array)
    Team IDs that can see this attribute. Empty array means all teams.
    Example: []

  - `data.archived` (boolean)
    Whether this attribute is archived.
    Example: false

  - `data.created_at` (integer)
    The time the attribute was created as a UTC Unix timestamp.
    Example: 1778239701

  - `data.updated_at` (integer)
    The time the attribute was last updated as a UTC Unix timestamp.
    Example: 1778239701

  - `data.admin_id` (string)
    ID of the admin who created the attribute.
    Example: 16

  - `data.multiline` (boolean)
    Whether this string attribute is multiline.
    Example: false

  - `data.options` (array)
    Predefined options for this attribute. Each option has a unique UUID used to identify it in the options management endpoints.

  - `data.options.id` (string)
    The unique UUID identifier for this option. Use this value as `option_id` in the options management endpoints.
    Example: a1b2c3d4-e5f6-7890-abcd-ef1234567890

  - `data.options.label` (string)
    The display label for the option.
    Example: High

  - `data.options.archived` (boolean)
    Whether this option is archived (soft-deleted).
    Example: false

  - `data.reference` (object)
    Reference configuration for related objects.

  - `data.reference.type` (string)
    The cardinality of the relationship: `one` or `many`.
    Enum: "one", "many"

  - `data.reference.object_type_id` (string)
    The ID of the related custom object type.
    Example: Test_Object

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

